body, html {
  font-size: 16px;
  background: #f1f5f9;
  margin: 0;
  font-family: Arial, sans-serif;
}

a {
  color: #734ef9;
}

a:hover {
  color: #000;
}

.btn {
  font-weight: 600;
}

.independence-day-ad {
  position: fixed;
  bottom: 0;
  left: 0;
  max-width: 400px;
  width: 100%;
  max-height: 800px;
  height: auto;
  background-color: #fff;
  border: 1px solid #ccc;
  box-shadow: 0px 0px 10px rgba(0,0,0,0.5);
  text-align: center;
  z-index: 1000;
}

.independence-day-ad img {
  width: 100%;
  height: auto;
}

.independence-day-ad p {
  margin: 10px 0;
  font-size: 16px;
  color: #333;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  background: #ff5f5f;
  color: #fff;
  border: none;
  padding: 10px 15px;
  cursor: pointer;
  font-size: 18px;
  border-radius: 50%;
}

#progress {
  position: fixed;
  z-index: 2147483647;
  top: 0;
  left: -6px;
  width: 0%;
  height: 2px;
  background: #ff7b02;
  -moz-border-radius: 1px;
  -webkit-border-radius: 1px;
  border-radius: 1px;
  -moz-transition: width 500ms ease-out, opacity 400ms linear;
  -ms-transition: width 500ms ease-out, opacity 400ms linear;
  -o-transition: width 500ms ease-out, opacity 400ms linear;
  -webkit-transition: width 500ms ease-out, opacity 400ms linear;
  transition: width 500ms ease-out, opacity 400ms linear;
}

#progress.done {
  opacity: 0;
}

#progress dd, #progress dt {
  position: absolute;
  top: 0;
  height: 2px;
  -moz-box-shadow: #ff7b02 1px 0 6px 1px;
  -ms-box-shadow: #ff7b02 1px 0 6px 1px;
  -webkit-box-shadow: #ff7b02 1px 0 6px 1px;
  box-shadow: #ff7b02 1px 0 6px 1px;
  -moz-border-radius: 100%;
  -webkit-border-radius: 100%;
  border-radius: 100%;
}

#progress dd {
  opacity: 1;
  width: 20px;
  right: 0;
  clip: rect(-6px, 22px, 14px, 10px);
}

#progress dt {
  opacity: 1;
  width: 180px;
  right: -80px;
  clip: rect(-6px, 90px, 14px, -6px);
}

@-moz-keyframes pulse {
  30% { opacity: 1; }
  60% { opacity: 0; }
  100% { opacity: 1; }
}

@-ms-keyframes pulse {
  30% { opacity: .6; }
  60% { opacity: 0; }
  100% { opacity: .6; }
}

@-o-keyframes pulse {
  30% { opacity: 1; }
  60% { opacity: 0; }
  100% { opacity: 1; }
}

@-webkit-keyframes pulse {
  30% { opacity: .6; }
  60% { opacity: 0; }
  100% { opacity: .6; }
}

@keyframes pulse {
  30% { opacity: 1; }
  60% { opacity: 0; }
  100% { opacity: 1; }
}

#progress.waiting dd, #progress.waiting dt {
  -moz-animation: pulse 2s ease-out 0s infinite;
  -ms-animation: pulse 2s ease-out 0s infinite;
  -o-animation: pulse 2s ease-out 0s infinite;
  -webkit-animation: pulse 2s ease-out 0s infinite;
  animation: pulse 2s ease-out 0s infinite;
}

@media screen and (max-width: 800px) {
  .independence-day-ad {
    width: 100%;
    height: auto;
    left: 0;
    right: 0;
  }
}